﻿using AspNetCoreMVC.DataContext;
using AspNetCoreMVC.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace AspNetCoreMVC.Controllers
{
    [Route("api/user")] // 컨트롤러 전체 라우터 설정
    public class UserController : Controller
    {
        [HttpGet("{id}")]
        public JsonResult GetUser(int id)
        {
            var db = new ModelDbContext();
            var user = db.Users.SingleOrDefault(u => u.Id == id);
            return Json(user);
        }

        [HttpGet("v2/{id}")]
        public IActionResult GetUser2(int id)
        {
            var db = new ModelDbContext();
            var user = db.Users.SingleOrDefault(u => u.Id == id);
            if (user == null)
                return BadRequest("No data found");

            return Ok(user);
        }

        [HttpPost]
        public JsonResult Save([FromBody] User user)
        {
            try
            {
                var db = new ModelDbContext();

                if (!ModelState.IsValid)
                    return Json(false);

                db.Users.Add(user);
                return Json(true);
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex);
                return Json(false);
            }
        }
    }
}
